summaryrefslogtreecommitdiff
path: root/app-i18n/fcitx5
diff options
context:
space:
mode:
authorGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-17 20:34:28 -0400
committerGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-17 20:34:28 -0400
commit5fbb34e4230bd9cc5fb263acdefaac3f762ded97 (patch)
tree3fc7c4bc43a173580615e695638e555a55c9da16 /app-i18n/fcitx5
parent5f77935b49faa1d996b0814e4a8d5099c24aea70 (diff)
downloadppo-5fbb34e4230bd9cc5fb263acdefaac3f762ded97.tar.xz
Rip fcitx5 from gentoo-zh.
Diffstat (limited to 'app-i18n/fcitx5')
-rw-r--r--app-i18n/fcitx5/Manifest3
-rw-r--r--app-i18n/fcitx5/fcitx5-5.0.9-r1.ebuild94
2 files changed, 97 insertions, 0 deletions
diff --git a/app-i18n/fcitx5/Manifest b/app-i18n/fcitx5/Manifest
new file mode 100644
index 0000000..45e948d
--- /dev/null
+++ b/app-i18n/fcitx5/Manifest
@@ -0,0 +1,3 @@
+DIST fcitx-data-en_dict-20121020.tar.gz 630491 BLAKE2B 2df897b1c9fb3a2ce186ee590e5f3ccbc7930f047218bf0fefa317f74b3287fc0be9c393d3310fe07208379118ec4c46608a1c703ef37b3aee65b2d790cb7f0d SHA512 8418bd02492bfd786c0fab93be4400ef027ec8e9fac02220cc1f653f5eb67f54573a6a84a15baba19bb34ab892745c87df16499d6304ea75009131e2ab3b97f2
+DIST fcitx5-5.0.9.tar.gz 1933309 BLAKE2B 303bf50cdb94bbcbf66b3b03c8ded75a67b81136b0d899722bd348cfad9c0a21fcb00f7d71f16045e355c8e2a71b6465effb69f0c04c1757f5cca4d815bb3511 SHA512 4be699178fa3852d10c9336fdaca30dde6b4de657fd8640de284af99aac2bc0cf88e213154de17fda6ee8edbe83129f5cc1bfb3b76fcad0469e0c17263c6791f
+EBUILD fcitx5-5.0.9-r1.ebuild 2181 BLAKE2B 0d373b1d54edef7376f4c8ee6a00cf01927b7e72d682ae5c2269e371fbdcf15cf9eeba92a70fdad40edb5e2c2f48ddcc9a2f3bd7c6c02da9c458e0be90a7b638 SHA512 2630369377300304034c607fde44bb0bc769c4d40872e2c966a605d1fdf68d680ee5fc2dbbf8b73a65d937533c3567f2dffb87ea759690684c44c699b41c7fe3
diff --git a/app-i18n/fcitx5/fcitx5-5.0.9-r1.ebuild b/app-i18n/fcitx5/fcitx5-5.0.9-r1.ebuild
new file mode 100644
index 0000000..0c63274
--- /dev/null
+++ b/app-i18n/fcitx5/fcitx5-5.0.9-r1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake xdg
+
+if [[ "${PV}" == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/fcitx/fcitx5.git"
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/fcitx/fcitx5/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Fcitx5 Next generation of fcitx "
+HOMEPAGE="https://fcitx-im.org/ https://github.com/fcitx/fcitx5"
+SRC_URI+=" https://download.fcitx-im.org/data/en_dict-20121020.tar.gz -> fcitx-data-en_dict-20121020.tar.gz"
+
+LICENSE="BSD-1 GPL-2+ LGPL-2+ MIT"
+SLOT="5"
+IUSE="+enchant test coverage doc presage systemd wayland +X"
+REQUIRED_USE="
+ || ( wayland X )
+ coverage? ( test )
+"
+
+RDEPEND="dev-libs/glib:2
+ sys-apps/dbus
+ dev-libs/json-c
+ dev-libs/libfmt
+ sys-apps/util-linux
+ virtual/libiconv
+ virtual/libintl
+ x11-libs/libxkbcommon[X?]
+ wayland? (
+ dev-libs/wayland
+ dev-libs/wayland-protocols
+ )
+ X? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrender
+ x11-libs/libXinerama
+ x11-libs/libxkbfile
+ x11-libs/xcb-imdkit
+ )
+ x11-misc/xkeyboard-config
+ x11-libs/cairo[X?]
+ x11-libs/pango
+ media-libs/fontconfig
+ enchant? ( app-text/enchant:= )
+ systemd? ( sys-apps/systemd )
+ app-text/iso-codes
+ app-i18n/unicode-cldr
+ dev-libs/libxml2
+ dev-libs/libevent"
+DEPEND="${RDEPEND}
+ kde-frameworks/extra-cmake-modules:5
+ virtual/pkgconfig"
+
+src_prepare() {
+ pwd
+ ln -s "${DISTDIR}/fcitx-data-en_dict-20121020.tar.gz" src/modules/spell/dict/en_dict-20121020.tar.gz || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+ -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+ -DENABLE_TEST=$(usex test)
+ -DENABLE_COVERAGE=$(usex coverage)
+ -DENABLE_ENCHANT=$(usex enchant)
+ -DENABLE_PRESAGE=$(usex presage)
+ -DENABLE_WAYLAND=$(usex wayland)
+ -DENABLE_X11=$(usex X)
+ -DENABLE_DOC=$(usex doc)
+ -DUSE_SYSTEMD=$(usex systemd)
+ )
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ elog
+ elog "Follow the instrcutions of https://wiki.gentoo.org/wiki/Fcitx#Using_Fcitx"
+ elog "and change the fcitx to fcitx5"
+ elog
+} \ No newline at end of file